Loading...
Searching...
No Matches
WGPUSharedTextureMemoryBeginAccessDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPUBool | concurrentRead
WGPUBool | initialized
size_t | fenceCount
WGPUSharedFence const * | fences
uint64_t const * | signaledValues

## Detailed Description

Definition at line 1575 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUSharedTextureMemoryBeginAccessDescriptor::nextInChain

Definition at line 1576 of file mini_webgpu.h.

## concurrentRead

WGPUBool WGPUSharedTextureMemoryBeginAccessDescriptor::concurrentRead

Definition at line 1577 of file mini_webgpu.h.

## initialized

WGPUBool WGPUSharedTextureMemoryBeginAccessDescriptor::initialized

Definition at line 1578 of file mini_webgpu.h.

## fenceCount

size_t WGPUSharedTextureMemoryBeginAccessDescriptor::fenceCount

Definition at line 1579 of file mini_webgpu.h.

## fences

WGPUSharedFence const* WGPUSharedTextureMemoryBeginAccessDescriptor::fences

Definition at line 1580 of file mini_webgpu.h.

## signaledValues

uint64_t const* WGPUSharedTextureMemoryBeginAccessDescriptor::signaledValues

Definition at line 1581 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h